summaryrefslogtreecommitdiff
path: root/tests/dircolors
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-04-08 10:55:01 +0000
committerJim Meyering <jim@meyering.net>2003-04-08 10:55:01 +0000
commitc54ba76168aa7519087d32f9c8f0b739a6420b4b (patch)
treeefce3525f29e52ef825446799aa9881b1910c14f /tests/dircolors
parent5d425f8eedcfe909a773e2ecfc72b721276ff38b (diff)
downloadcoreutils-c54ba76168aa7519087d32f9c8f0b739a6420b4b.tar.xz
Run $PERL to see if it is available, rather than testing its value.
Diffstat (limited to 'tests/dircolors')
-rwxr-xr-xtests/dircolors/simple9
1 files changed, 4 insertions, 5 deletions
diff --git a/tests/dircolors/simple b/tests/dircolors/simple
index 2f3a4ca2b..99d772e1c 100755
--- a/tests/dircolors/simple
+++ b/tests/dircolors/simple
@@ -3,12 +3,11 @@
: ${PERL=perl}
: ${srcdir=.}
-case "$PERL" in
- *'missing perl')
- echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run this test"
+$PERL -e 1 > /dev/null 2>&1 || {
+ echo 1>&2 "$0: configure didn't find a usable version of Perl," \
+ "so can't run this test"
exit 77
- ;;
-esac
+}
exec $PERL -w -I$srcdir/.. -MFetish -- - <<\EOF
require 5.003;